package org.dromara.system.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.bo.SysComplaintBo;
import org.dromara.system.domain.vo.SysComplaintVo;

import java.util.Collection;

/**
 * 投诉建议 Service接口
 * @Author: Antigravity
 */
public interface ISysComplaintService {

    /**
     * 分页查询投诉建议列表
     */
    TableDataInfo<SysComplaintVo> queryPageList(SysComplaintBo bo, PageQuery pageQuery);

    /**
     * 根据ID查询投诉建议详情
     */
    SysComplaintVo queryById(Long id);

    /**
     * 新增投诉建议
     */
    Boolean insertByBo(SysComplaintBo bo);

    /**
     * 处理投诉建议
     */
    Boolean updateByBo(SysComplaintBo bo);

    /**
     * 批量删除投诉建议
     */
    Boolean deleteWithValidByIds(Collection<Long> ids);

    /**
     * 分页查询当前员工的投诉建议列表（小程序端）
     * @Author: Trae
     */
    TableDataInfo<SysComplaintVo> queryMyPageList(Long employeeId, PageQuery pageQuery);

}
